Resolve a volunteer exception item
POST
/api/volunteers/exceptions/{id}/resolve
const url = 'https://example.com/api/volunteers/exceptions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resolve';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"action":"approve","clock_out":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/volunteers/exceptions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resolve \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "action": "approve", "clock_out": "2026-04-15T12:00:00Z" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
action
string
Example
approveclock_out
string format: date-time
Responses
Section titled “Responses”Exception resolved successfully